# Video-Livestream

Hier wird beschrieben, mit welcher Ausstattung (Hard- und Software) der Gottesdienst in unserer Gemeinde live übertragen wird. Die Übertragung erfolgt bei uns nicht öffentlich, sondern ist für Gemeindemitglieder und Freunde gedacht, die aus verschiedenen Gründen den Gottesdienst nicht besuche können, aber mit unserer Gemeinde verbunden sind. Die Vorgehensweise lässt sich jedoch an verschiedene Anwendungsbereiche (also z.B. auch öffentlicher Livestream) anpassen.

![unser Gemeinde](bilder/saal.jpg)

> In der aktuellen Situation (Corona-Kriese 2020) erfolgt die Übertragung der Gottesdienste ausschliesslich online und wir bekommen sehr positives Feedback, dass so eine Verbundenheit miteinander bestehen bleibt.
>

Diese Dokumentation darf gemäss der [CC BY-NC-SA 3.0](https://creativecommons.org/licenses/by-nc-sa/3.0/de/) Lizenz verwendet und bearbeitet werden.

## Ausstattung

### Hardware

- [Kamera](#kamera)
- [HDMI Audio Inserter](#hdmi-audio-inserter)
- Encoder
- Audio-Mischpult
- PC

### Software

- OBS-Studio
- MistServer

-----

### Kamera

Als Kamera nutzen wir eine Canon LEGRIA HF R77. Das ist ein "normaler" Camcorder aus dem Heimvideo-Bereich. Wichtig ist hier ein HDMI-Ausgang, der das Live-Bild ausgibt und die Möglichkeit, den Camcorder auch ohne Aufnahme im Dauerbetrieb laufen zu lassen. Einige Camcorder schalten nach einer gewissen Zeit im Leerlauf ab.

![Kamera](bilder/kamera.jpg)

### HDMI-Audio-Inserter

Der HDMI-Ausgang der Kamera ist zunächst mit einem sogenannten "HDMI-Audio-Inserter" verbunden. Wie der Name schon sagt, ist der Zweck dieses kleinen Kastens, ein externes Audiosignal in den HDMI-Datenstrom der Kamera einzufügen bzw. den Originalton der Kamera zu ersetzen. Natürlich könnte man auch den Ton der Kamera verwenden, wobei die Qualität dann aber deutlich geringer sein dürfte, als bei einem direkt vom Audiomischpult abgegriffenen Signal.
Wenn man den Ton der Kamera nicht verwenden möchte, ist auf jedan Fall das Einfügen des Audiosignals **vor** dem Encoder notwendig, um die Syncronität von Bild und Ton beizubehalten. Softwareseitig (im OBS-Studio) könnte man auch noch Tonspuren einfügen, die würden dann aber im fertigen Stream zeitversetzt vor dem Bild laufen, weil der Encoder den HDMI-Datenstrom leicht verzögert ausgibt.

![HDMI Audio Inserter](bilder/hdmi_audio_insert.jpg)